#!/bin/sh
#
if [ "$DISPLAY" = "" ]
then
	XvfbRunning=`ps -ef | grep Xvfb | grep -v grep | wc -l | sed -e "s/ //g"`
	if [ $XvfbRunning -gt 0 ]
	then
		export DISPLAY=":1.0"
		printf "\nWARNING : Using virtual display - no graphics will be visible.\n\n"
	else
		printf "\nWARNING : Virtual display server is not running."
		printf "\n          Set DISPLAY variable or start Xvfb.\n\n"
		return -1
	fi
fi
#
JAVA_EXE=./java/jre/bin/java
JARDIR=./jar
DSSVUE=.
JARDIRSYS=$JARDIR/sys

SYSJARS="$JARDIRSYS/symbeans.jar:$SYSJARS"
SYSJARS="$JARDIRSYS/com.jar:$SYSJARS"
SYSJARS="$JARDIRSYS/jython.jar:$SYSJARS"
SYSJARS="$JARDIRSYS/jythonlib.jar:$SYSJARS"
SYSJARS="$JARDIRSYS/jythonUtils.jar:$SYSJARS"
SYSJARS="$JARDIRSYS/bbtools.jar:$SYSJARS"
SYSJARS="$JARDIRSYS/codebase.jar:$SYSJARS"

APPJARS="$JARDIR/heclib.jar"
APPJARS="$JARDIR/images.jar:$APPJARS"
APPJARS="$JARDIR/font.jar:$APPJARS"
APPJARS="$JARDIR/data.jar:$APPJARS"
APPJARS="$JARDIR/fia.jar:$APPJARS"
APPJARS="$JARDIR/rma.jar:$APPJARS"
APPJARS="$JARDIR/hec.jar:$APPJARS"

JARS="$APPJARS:$SYSJARS"

$JAVA_EXE -mx300M -Djava.library.path=$DSSVUE/lib -cp "$JARS" hec.dssgui.HecDssVue $1
#java -ms4M -mx300M -Djava.library.path=$DSSVUE/lib -cp "$JARS" hec.dssgui.HecDssVue $1
